package com.hfkj.mqtopic;

import lombok.Getter;

/**
 * 任务主题
 * @author hurui
 */
@Getter
public enum TaskTopic {
    // 任务主题
    TASK_TOPIC("task-topic", "","任务主题"),
    // 油价任务
    OIL_PRICE(TASK_TOPIC.getTopic(),"oil-price", "油价任务"),
    // CMS定时上线
    CMS_ONLINE(TASK_TOPIC.getTopic(),"cms-online", "CMS内容定时上线"),
    // CMS定时下线
    CMS_OFFLINE(TASK_TOPIC.getTopic(),"cms-offline", "CMS内容定时下线"),
    ;

    private String topic;
    private String tag;
    private String name;

    TaskTopic(String topic, String tag, String name) {
        this.topic = topic;
        this.tag = tag;
        this.name = name;
    }
}
